Subject: Re: [bug#51314] [PATCH v4 11/14] gnu: Add octoprint-pisupport.

From: Vinicius Monego <[email-masked]>
Date: Mon, 30 May 2022 20:35:22 +0000

Em dom, 2022-05-29 às 23:47 +0200, Maxime Devos escreveu:
> Vinicius Monego schreef op zo 29-05-2022 om 18:27 [+0000]:
> > +     `(#:tests? #f                      ; no tests
> 
> I see a test at
> <
> https://github.com/OctoPrint/OctoPrint-PiSupport/blob/main/tests/test_
> pi_support.py>.
> 

It's not available in PyPI. I haven't tried running that test from the
repository either.

> > +       (modify-phases %standard-phases
> > +         (delete 'sanity-check))))      ; checks for Octoprint
> 
> Can probably be removed by adding octoprint as input (for the tests).
> 
> Greetings,
> Maxime.

octoprint-pisupport is a mandatory input for octoprint, it will be
checked for in sanity-check and that would introduce a circular
dependency. I could have a look to see if it's worth introducing
octoprint-minimal to bootstrap the plugins.